package cn.com.countrygarden.bi.main.constant.wcx.enumeration;

/**
 * 基础业务线
 */
public enum WcxBaselineEnum {
    CASE("案场", "1"),
    SERVICES_MANAGE("客服管家", "2"),
    SECURITY("保安", "3"),
    HOUSE_KEEPER("保洁", "4"),
    GREEN("绿化", "5"),
    PROJECT("工程", "6"),
    SERVICE_LIGHT("服务亮点","7");

    private String baselineName;
    private String baselineCode;

    WcxBaselineEnum(String clusterName, String orgUnitCode) {
        this.baselineName = clusterName;
        this.baselineCode = orgUnitCode;
    }

    /**
     * 获取基础业务线
     */
    public static String getBaselineName(String baselineCode) {
        for (WcxBaselineEnum e : WcxBaselineEnum.values()) {
            if (e.getBaselineCode().equals(baselineCode)) {
                return e.getBaselineName();
            }
        }
        return null;
    }

    public String getBaselineName() {
        return baselineName;
    }

    public String getBaselineCode() {
        return baselineCode;
    }
}
